# Method: shippingsettings.getsupportedcarriers

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#body.ShippingsettingsGetSupportedCarriersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#body.aspect)
- [CarriersCarrier](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#CarriersCarrier)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#CarriersCarrier.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#try-it)

Retrieves supported carriers and carrier services for an account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/supportedCarriers`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account for which to retrieve the supported carriers. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "carriers": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#CarriersCarrier`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#shippingsettingsGetSupportedCarriersResponse`". |
| `carriers[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers#CarriersCarrier`)`` A list of supported carriers. May be empty. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CarriersCarrier

| JSON representation |
|---|
| ``` { "name": string, "country": string, "services": [ string ], "eddServices": [ string ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the carrier (for example, `"UPS"`). Always present. |
| `country` | `string` The CLDR country code of the carrier (for example, "US"). Always present. |
| `services[]` | `string` A list of supported services (for example, `"ground"`) for that carrier. Contains at least one service. This is the list of valid values for CarrierRate.carrierService. |
| `eddServices[]` | `string` A list of services supported for EDD (Estimated Delivery Date) calculation. This is the list of valid values for WarehouseBasedDeliveryTime.carrierService. |